cURL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/deliver/{snapshot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliver": {
"type": "webhook",
"filename": {
"template": "<string>"
},
"endpoint": "<string>"
},
"compress": false
}
'import requests
url = "https://api.brightdata.com/datasets/v3/deliver/{snapshot_id}"
payload = {
"deliver": {
"type": "webhook",
"filename": { "template": "<string>" },
"endpoint": "<string>"
},
"compress": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deliver: {type: 'webhook', filename: {template: '<string>'}, endpoint: '<string>'},
compress: false
})
};
fetch('https://api.brightdata.com/datasets/v3/deliver/{snapshot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_id": "<string>"
}Delivery APIs
交付快照
Deliver the snapshot content to the specified storage
POST
/
datasets
/
v3
/
deliver
/
{snapshot_id}
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
The ID that was returned when the collection was triggered
示例:
"s_m4x7enmven8djfqak"
查询参数
URL where a notification will be sent once the delivery is finished
示例:
"https://notify-me.com/"
请求体
application/json
响应
200 - application/json
OK
ID of your delivery request that can be used in Monitor Delivery API